#version 430 core

layout ( location = 0 ) in vec3 vertex_position;
layout ( location = 1 ) in vec2 texCoords;
layout ( location = 4 ) in vec4 position;

uniform mat4 M_v;
uniform mat4 M_p;
uniform float particleSize;
out vec2 TexCoords;

void main() {

	vec4 position_viewspace = M_v * vec4( position.xyz , 1 );
	position_viewspace.xy += particleSize * (vertex_position.xy - vec2(0.5));
	gl_Position = M_p * position_viewspace;
	TexCoords = texCoords;
}